package ${basePackage}.action.api.system;

import ${basePackage}.frame.auth.LocalData;
import ${basePackage}.module.system.mgr.UserRoleManager;
import ${basePackage}.module.system.req.*;
import ${basePackage}.module.system.rsp.*;
import org.springframework.beans.factory.annotation.Autowired;

public class UserRoleApi{

    @Autowired
    private UserRoleManager userRoleManager;

    public UserRoleCreateResponse create(UserRoleCreateRequest request) {
        return userRoleManager.create(request, LocalData.getToken());
    }

    public UserRoleDeleteResponse delete(UserRoleDeleteRequest request) {
        return userRoleManager.delete(request, LocalData.getToken());
    }

    public UserRoleUpdateResponse update(UserRoleUpdateRequest request) {
        return userRoleManager.update(request, LocalData.getToken());
    }

    public UserRoleFindResponse find(UserRoleFindRequest request) {
        return userRoleManager.find(request, LocalData.getToken());
    }

    public UserRoleGetResponse get(UserRoleGetRequest request) {
        return userRoleManager.get(request, LocalData.getToken());
    }
}
